Alerts - Refresh All

Refresh all alerts for a resource scope.

POST https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts/refresh?api-version=2022-08-01-preview

URI Parameters

Name In Required Type Description
scope
path True

string

The fully qualified Azure Resource manager identifier of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
202 Accepted

AlertOperationResult

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

Microsoft.Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

RefreshAllAlerts

Sample request

POST https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/refresh?api-version=2022-08-01-preview

Sample response

Location: https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertOperations/{operationId}?api-version=2022-04-01-preview
{
  "createdDateTime": "2022-04-05T03:04:06.467+00:00",
  "id": "{operationId}",
  "lastActionDateTime": "2022-04-05T03:04:06.467+00:00",
  "resourceLocation": "https://management.azure.com/providers/Microsoft.Subscription/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts?api-version=2022-08-01-preview",
  "status": "notStarted",
  "statusDetail": "{\"result\":[{\"name\":\"AzureRolesAssignedOutsidePimAlert\",\"statusDetail\":\"Alert scan is not yet started.\"}, {\"name\":\"DuplicateRoleCreated\",\"statusDetail\":\"Alert scan is not yet started.\"}]}"
}

Definitions

Name Description
AlertOperationResult

Alert operation result

Microsoft.Common.CloudError

An error response from the service.

Microsoft.Common.CloudErrorBody

An error response from the service.

AlertOperationResult

Alert operation result

Name Type Description
createdDateTime

string (date-time)

The created date of the alert operation.

id

string

The id of the alert operation.

lastActionDateTime

string (date-time)

The last action date of the alert operation.

resourceLocation

string

The location of the alert associated with the operation.

status

string

The status of the alert operation.

statusDetail

string

The status detail of the alert operation.

Microsoft.Common.CloudError

An error response from the service.

Name Type Description
error

Microsoft.Common.CloudErrorBody

An error response from the service.

Microsoft.Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

message

string

A message describing the error, intended to be suitable for display in a user interface.